Search documentation of Plushie

# Plushie.Canvas.HitRect (Plushie v0.7.2)

Copy Markdown View Source

Explicit hit test rectangle override for interactive canvas shapes.

## Summary

### Types

t()

### Functions

from_opts(opts)

Constructs a hit rect from a keyword list.

## Types

# t()

    @type t() :: %Plushie.Canvas.HitRect{
      h: number(),
      w: number(),
      x: number(),
      y: number()
    }

## Functions

# from_opts(opts)

    @spec from_opts(keyword()) :: t()

Constructs a hit rect from a keyword list.